Skip to main content
`Ctrl`+`K`

# PCGAMGSetUseSAEstEig

Use the eigen estimate from smoothed aggregation for the Chebyshev smoother during the solution process

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetUseSAEstEig(PC pc, PetscBool b)

Collective

## Input Parameters

- pc - the preconditioner context

- b - flag

## Options Database Key

- -pc_gamg_use_sa_esteig (true|false) - use the eigen estimate

## Notes

Smoothed aggregation constructs the smoothed prolongator \(P = (I - \omega D^{-1} A) T\) where \(T\) is the tentative prolongator and \(D\) is the diagonal of \(A\). Eigenvalue estimates (based on a few `PCCG` or `PCGMRES` iterations) are computed to choose \(\omega\) so that this is a stable smoothing operation. If `KSPCHEBYSHEV` with `PCJACOBI` (diagonal) preconditioning is used for smoothing on the finest level, then the eigenvalue estimates can be reused during the solution process. This option is only used when the smoother uses `PCJACOBI`, and should be turned off when a different `PCJacobiType` is used. It became default in PETSc 3.17.

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `KSPChebyshevSetEigenvalues()`, `KSPChebyshevEstEigSet()`, `PCGAMGSetRecomputeEstEig()`

## Level

advanced

## Location

src/ksp/pc/impls/gamg/gamg.c

## Examples

src/ksp/ksp/tutorials/ex56.c

## Implementations

PCGAMGSetUseSAEstEig_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages